Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Copy_On_Write_Write_Guard Class Template Reference

TAO_ESF_Copy_On_Write_Guard. More...

`#include <ESF_Copy_On_Write.h>`

Collaboration diagram for TAO_ESF_Copy_On_Write_Write_Guard:

[legend]
List of all members.

## Public Types
typedef TAO_ESF_Copy_On_Write_Collection< COLLECTION,ITERATOR> | Collection
| Constructor.
## Public Methods
| TAO_ESF_Copy_On_Write_Write_Guard (ACE_SYNCH_MUTEX_T &mutex, ACE_SYNCH_CONDITION_T &cond, int &pending_writes, int &writing_flag, Collection*& collection)
| ~TAO_ESF_Copy_On_Write_Write_Guard (void)
| Destructor.
## Public Attributes
Collection* | copy
## Private Attributes
ACE_SYNCH_MUTEX_T& | mutex
ACE_SYNCH_CONDITION_T& | cond
int& | pending_writes
int& | writing_flag
Collection*& | collection

## Detailed Description

### template<class COLLECTION, class ITERATOR, ACE_SYNCH_DECL> template class TAO_ESF_Copy_On_Write_Write_Guard

TAO_ESF_Copy_On_Write_Guard.

This helper class atomically increments the reference count of a TAO_ESF_Copy_On_Write_Collection and reads the current collection in the Copy_On_Write class.

## Member Typedef Documentation

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
typedef TAO_ESF_Copy_On_Write_Collection<COLLECTION,ITERATOR> TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::Collection

| Constructor.

## Constructor & Destructor Documentation

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
TAO_ESF_Copy_On_Write_Write_Guard< COLLECTION,ITERATOR,ACE_SYNCH_USE >::TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, > ( | ACE_SYNCH_MUTEX_T & m,
| ACE_SYNCH_CONDITION_T & c,
| int & p,
| int & w,
| Collection *& cr )

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::~TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, > ( | void )

| Destructor.

## Member Data Documentation

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
Collection *& TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::collection`[private]`

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
ACE_SYNCH_CONDITION_T & TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::cond`[private]`

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
Collection * TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::copy

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
ACE_SYNCH_MUTEX_T & TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::mutex`[private]`

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
int & TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::pending_writes`[private]`

template<classCOLLECTION, classITERATOR, ACE_SYNCH_DECL>
int & TAO_ESF_Copy_On_Write_Write_Guard<COLLECTION, ITERATOR, >::writing_flag`[private]`

The documentation for this class was generated from the following files:

- ESF_Copy_On_Write.h
- ESF_Copy_On_Write.cpp